%global pypi_name txredisapi

Name:           python-%{pypi_name}
Version:        1.4.10
Release:        1%{?dist}
Summary:        Non-blocking Redis client for Python

License:        Apache-2.0
URL:            http://github.com/fiorix/txredisapi
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description %{expand:
txredisapi is a non-blocking client driver for the Redis database,
written in Python. It uses Twisted for the asynchronous communication
with Redis.

It started as a fork of the original Redis protocol for Twisted, and
evolved into a more robust, reliable, and complete solution for
applications like web servers. These types of applications often need a
fault-tolerant pool of connections with multiple Redis servers, making it
possible to easily develop and maintain distributed systems.

Most of the Redis commands are supported, as well as other features such as
silent reconnection, connection pools, and automatic sharding.

This driver is distributed as part of the cyclone web framework.}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-six
Requires:       python3-twisted
%description -n python3-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build


%install
%py3_install


%files -n python3-%{pypi_name}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Oct 25 2023 Kisuke-CZE <kisuke@kisuke.cz> - 1.4.10-1
- Initial package
